commit:     36fb4a6ce74856838a104c805cb08843a7a585c0
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  8 22:15:11 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Jun  8 22:22:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36fb4a6c

sys-libs/pam: Version bump (v1.4.0)

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sys-libs/pam/Manifest         |   2 +
 sys-libs/pam/pam-1.4.0.ebuild | 122 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/sys-libs/pam/Manifest b/sys-libs/pam/Manifest
index 07c475d3d92..96b6ea9a5f2 100644
--- a/sys-libs/pam/Manifest
+++ b/sys-libs/pam/Manifest
@@ -1,2 +1,4 @@
 DIST pam-1.3.1.tar.gz 749997 BLAKE2B 
3b44c41daaa5810c53e3e2baeac1ab58463768fde433f874b9bd09c7c28cfd55e0f227c9a0c318e66444a3adb23c112a2db32d5c7211b07c84c2d4600a47ca5c
 SHA512 
0c5019493b2ac42180ee9c4974a51329a2395a44f5f892c1ca567ec9b43cc3a9bce0212861d4dfb82eb236c5eaa682b27189ce672ed6cafa37d8801d059a944d
+DIST pam-1.4.0-doc.tar.xz 48080 BLAKE2B 
48cec348c3db7ecae6ea85934fa242d908643d0a8f6d1789a8aac3b254dc21439e11066f9ff2a7238e61e5d16c41a6c49a26dbc7351fe7eb0a1fef4a2f69378e
 SHA512 
634cbb1b948a2b1431b9ef219a4e9e63e870b34520665170f55aca10e65cd46f0c190697cafd18a42caeaec26299f63fd8ad794ae379648e767d8481af6c36f2
+DIST pam-1.4.0.tar.gz 804586 BLAKE2B 
941925677c19f0a77a4fbc29f723706d5eb31b4020b0d35732ae3c00e5a623c943ea784e11aef1c2d5092d2a7fbe1724eeefa45d8d8ebd8a053a39f01a8b541c
 SHA512 
16003f5c118125aeabf22503bc328a4bdd68b3af35d70b608a8b261adbaffae58ce490765f246c469b2ffbff67bd5216e0586ece0eb934905074423a990c2f98
 DIST pam-4dd9b97b762cc73816cb867d49c9d0d0b91d642c.tar.gz 765455 BLAKE2B 
8a8543b51c9fa877cd48d483d9af489df00376f92f26fea648d38a0ce3168702888a662e5d3c7423cce8a5d56896e84e4c1829e56d08fca8c3ab878b20945a7d
 SHA512 
bdb236a47a5810449fb96546ff89d70dec185a215b0d047178a12e40945fde4ffdb801dbbd87ff95eead1bb7acb4748333a2d3383881d5de0dbd89ec5ceddd3f

diff --git a/sys-libs/pam/pam-1.4.0.ebuild b/sys-libs/pam/pam-1.4.0.ebuild
new file mode 100644
index 00000000000..618c8ca6467
--- /dev/null
+++ b/sys-libs/pam/pam-1.4.0.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools db-use fcaps multilib-minimal toolchain-funcs usr-ldscript
+
+DESCRIPTION="Linux-PAM (Pluggable Authentication Modules)"
+HOMEPAGE="https://github.com/linux-pam/linux-pam";
+
+SRC_URI="https://github.com/linux-pam/linux-pam/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://dev.gentoo.org/~zlogene/distfiles/${CATEGORY}/${PN}/${P}-doc.tar.xz";
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="audit berkdb debug nis +pie selinux static-libs"
+
+BDEPEND="
+       dev-libs/libxslt
+       sys-devel/flex
+       sys-devel/gettext
+       virtual/pkgconfig[${MULTILIB_USEDEP}]"
+
+DEPEND="
+       virtual/libcrypt:=[${MULTILIB_USEDEP}]
+       >=virtual/libintl-0-r1[${MULTILIB_USEDEP}]
+       audit? ( >=sys-process/audit-2.2.2[${MULTILIB_USEDEP}] )
+       berkdb? ( >=sys-libs/db-4.8.30-r1:=[${MULTILIB_USEDEP}] )
+       selinux? ( >=sys-libs/libselinux-2.2.2-r4[${MULTILIB_USEDEP}] )
+       nis? ( >=net-libs/libtirpc-0.2.4-r2[${MULTILIB_USEDEP}] )"
+
+RDEPEND="${DEPEND}"
+
+PDEPEND="sys-auth/pambase"
+
+S="${WORKDIR}/linux-${P}"
+
+src_prepare() {
+       default
+       touch ChangeLog || die
+       eautoreconf
+}
+
+multilib_src_configure() {
+       # Do not let user's BROWSER setting mess us up. #549684
+       unset BROWSER
+
+       # Disable automatic detection of libxcrypt; we _don't_ want the
+       # user to link libxcrypt in by default, since we won't track the
+       # dependency and allow to break PAM this way.
+
+       export ac_cv_header_xcrypt_h=no
+
+       local myconf=(
+               --with-db-uniquename=-$(db_findver sys-libs/db)
+               --with-xml-catalog="${EPREFIX}"/etc/xml/catalog
+               --enable-securedir="${EPREFIX}"/$(get_libdir)/security
+               --includedir="${EPREFIX}"/usr/include/security
+               --libdir="${EPREFIX}"/usr/$(get_libdir)
+               --exec-prefix="${EPREFIX}"
+               --disable-prelude
+               --disable-cracklib
+               --disable-tally
+               --disable-tally2
+               --disable-doc
+               --disable-regenerate-docu
+               $(use_enable audit)
+               $(use_enable berkdb db)
+               $(use_enable debug)
+               $(use_enable debug Werror)
+               $(use_enable nis)
+               $(use_enable pie)
+               $(use_enable selinux)
+               $(use_enable static-libs static)
+               --enable-isadir='.' #464016
+               )
+       ECONF_SOURCE="${S}" econf ${myconf[@]}
+}
+
+multilib_src_compile() {
+       emake sepermitlockdir="${EPREFIX}/run/sepermit"
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install \
+               sepermitlockdir="${EPREFIX}/run/sepermit"
+
+       gen_usr_ldscript -a pam pam_misc pamc
+}
+
+multilib_src_install_all() {
+       find "${ED}" -type f -name '*.la' -delete || die
+
+       if use selinux; then
+               dodir /usr/lib/tmpfiles.d
+               cat - > 
"${D}"/usr/lib/tmpfiles.d/${CATEGORY}:${PN}:${SLOT}.conf <<EOF
+d /run/sepermit 0755 root root
+EOF
+       fi
+
+       for i in "${WORKDIR}"/${P}-doc/*; do
+               doman ${i}
+       done
+}
+
+pkg_postinst() {
+       ewarn "Some software with pre-loaded PAM libraries might experience"
+       ewarn "warnings or failures related to missing symbols and/or versions"
+       ewarn "after any update. While unfortunate this is a limit of the"
+       ewarn "implementation of PAM and the software, and it requires you to"
+       ewarn "restart the software manually after the update."
+       ewarn ""
+       ewarn "You can get a list of such software running a command like"
+       ewarn "  lsof / | egrep -i 'del.*libpam\\.so'"
+       ewarn ""
+       ewarn "Alternatively, simply reboot your system."
+
+       # The pam_unix module needs to check the password of the user which 
requires
+       # read access to /etc/shadow only.
+       fcaps cap_dac_override sbin/unix_chkpwd
+}

Reply via email to